<?php
function to_get_ditc($ditc_file) {
	$get = false;
	$options = get_option('WP_auto_tag_options');
	if( count($options['share_history']) > 0 ) {
		if( function_exists('curl_init') ) {
			$in_gz = function_exists('gzinflate');
			$fields = array(
				'action' => 'getditc',
				'in_gz' => intval($in_gz)
			);
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, 'http://tagditc.info/get_ditc.php');
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
			curl_setopt($ch, CURLOPT_COOKIE, '');
			curl_setopt($ch, CURLOPT_TIMEOUT, 15);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
			$ditc = @curl_exec($ch);
			$info = @curl_getinfo($ch);
			@curl_close($ch);
			if( $in_gz ) {
				$ditc = gzinflate($ditc);
			}
			if( file_put_contents($ditc_file, $ditc) ) {
				$get = true;
				$options['last_get_time'] = current_time('timestamp');
				update_option('WP_auto_tag_options', $options);
			}
		}
	}
	return $get;
}
?>